aboutsummaryrefslogtreecommitdiffhomepage
path: root/test/distrib
diff options
context:
space:
mode:
authorGravatar ZhouyihaiDing <ddyihai@google.com>2018-03-26 11:03:59 -0700
committerGravatar ZhouyihaiDing <ddyihai@google.com>2018-03-26 11:06:03 -0700
commit76d4621bd80bafd332e689d2a812ce3fff8c5548 (patch)
treefdb7faa3511133a8d31c71a5ea4ce2ad48ba2e68 /test/distrib
parentbc7e096dd38cd8fca1504986abd2025019004563 (diff)
PHP: split script for running distrib tests on different system
Diffstat (limited to 'test/distrib')
-rwxr-xr-xtest/distrib/php/run_distrib_test.sh2
-rwxr-xr-xtest/distrib/php/run_distrib_test_macos.sh25
2 files changed, 26 insertions, 1 deletions
diff --git a/test/distrib/php/run_distrib_test.sh b/test/distrib/php/run_distrib_test.sh
index ef2de4fec3..a6102f6075 100755
--- a/test/distrib/php/run_distrib_test.sh
+++ b/test/distrib/php/run_distrib_test.sh
@@ -20,6 +20,6 @@ cd "$(dirname "$0")"
cp -r "$EXTERNAL_GIT_ROOT"/input_artifacts/grpc-*.tgz .
find . -regex ".*/grpc-[0-9].*.tgz" | cut -b3- | \
- xargs sudo pecl install
+ xargs pecl install
php -d extension=grpc.so -d max_execution_time=300 distribtest.php
diff --git a/test/distrib/php/run_distrib_test_macos.sh b/test/distrib/php/run_distrib_test_macos.sh
new file mode 100755
index 0000000000..8def049860
--- /dev/null
+++ b/test/distrib/php/run_distrib_test_macos.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+# Copyright 2018 gRPC authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -ex
+
+cd "$(dirname "$0")"
+
+cp -r "$EXTERNAL_GIT_ROOT"/input_artifacts/grpc-*.tgz .
+
+find . -regex ".*/grpc-[0-9].*.tgz" | cut -b3- | \
+ xargs sudo pecl install
+
+php -d extension=grpc.so -d max_execution_time=300 distribtest.php